.customise-trip {
    margin-bottom: 92px;

    &__title {
        margin-bottom: 45px;
        font-size: 40px;
        line-height: 44px;
        white-space: pre-line;
        text-align: center;

        @include lg {
            margin-bottom: 67px;
            font-size: 60px;
            line-height: 58px;
        }
    }

    &__steps {
        position: relative;
        margin-bottom: 65px;
        counter-reset: steps;

        li {
            position: relative;
            padding-left: 92px;

            &:not(:last-child) {
                margin-bottom: 54px;

                &:before {
                    content: "";
                    position: absolute;
                    top: 156px;
                    bottom: -57px;
                    left: 39px;
                    border-left: 1px solid #fff;
                    pointer-events: none;
                }
            }

            @include lg {
                padding-top: 41px;
                padding-left: 193px;

                &:not(:last-child) {
                    margin-bottom: 75px;

                    &:before {
                        top: 230px;
                        bottom: -90px;
                        left: 57px;
                    }
                }
            }
        }

        @include lg {
            margin-bottom: 107px;
        }
    }

    &__num {
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        top: 4px;
        left: 0;
        width: 81px;
        height: 154px;

        &:before {
            counter-increment: steps;
            content: counter(steps);
            font-size: 51.4173px;
            line-height: 57px;
            text-align: center;

            @include lg {
                font-size: 73px;
                line-height: 72px;
            }
        }

        span {
            position: absolute;
            top: 0;
            left: 6px;
            width: 100%;
            height: 100%;
            transform: scaleX(1.15);
            pointer-events: none;

            &:before {
                content: "";
                position: absolute;
                top: 36px;
                left: -5px;
                width: 77px;
                height: 77px;
                border: 1px solid #fff;
                transform: rotate(45deg) skew(20deg, 20deg);

                @include lg {
                    top: 52px;
                    left: -4px;
                    width: 111px;
                    height: 111px;
                }
            }
        }

        @include lg {
            top: 14px;
            width: 115px;
            height: 219px;
        }
    }

    &__step {
        margin-bottom: 17px;
        font-size: 36px;
        line-height: 35px;

        @include lg {
            width: 70%;
        }
    }

    &__text {
        font-family: 'Manrope', sans-serif;
        font-size: 16px;
        line-height: 29px;
    }

    &__footer {
        text-align: center;

        .btn {
            width: 340px;

            @include lg {
                width: 540px;
            }
        }

        p {
            margin-top: 21px;
            color: #0C0B10;
            font-size: 16px;
            line-height: 29px;
            font-family: 'Manrope', sans-serif;

            @include lg {
                margin-top: 18px;
            }
        }
    }

    .site__centered {
        max-width: 572px;
    }

    @include lg {
        margin-bottom: 153px;
    }
}
